# Interface MapFishPrintCapabilitiesLayoutAttribute

interface MapFishPrintCapabilitiesLayoutAttribute {
clientInfo: MapFishPrintCapabilitiesLayoutAttributeClientInfo;
clientParams: {};
default: string | number | boolean;
name: string;
type: string;
value: string;
}

- Defined in src/print/mapfish-print-v3.js:39

#####
Index

### Properties

clientInfo
clientParams
default
name
type
value

## Properties

### clientInfo

clientInfo: MapFishPrintCapabilitiesLayoutAttributeClientInfo

Only for the map.

- Defined in src/print/mapfish-print-v3.js:45

### clientParams

clientParams: {}

The client info description.

#### Type declaration

- Defined in src/print/mapfish-print-v3.js:44

### default

default: string | number | boolean

Default value of the form field.

- Defined in src/print/mapfish-print-v3.js:41

### name

name: string

Name of the form field.

- Defined in src/print/mapfish-print-v3.js:40

### type

type: string

Type of the field. Can be 'String', 'Boolean' or 'Number'.

- Defined in src/print/mapfish-print-v3.js:43

### value

value: string

Not returned by the print, added by ngeo.

- Defined in src/print/mapfish-print-v3.js:42

Generated using TypeDoc